Register Oidc Relying Party

Register Oidc Relying Party
Register an OIDC relying party.

Registers a new OIDC relying party.

Request
URI
POST
https://{api_host}/cloudapi/1.0.0/openIdProvider/relyingParties
COPY
Request Body
OidcRelyingParty of type(s) application/json
Optional

Show optional properties

{
    "clientName": "string",
    "redirectUris": [
        {}
    ]
}
{
    "id": "string",
    "clientId": "string",
    "clientName": "string",
    "clientSecret": "string",
    "redirectUris": [
        "string"
    ],
    "scope": [
        "string"
    ],
    "isPublic": false,
    "isPkceEnabled": false
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns OidcRelyingParty of type(s) application/json;version=9.1.0
{
    "id": "string",
    "clientId": "string",
    "clientName": "string",
    "clientSecret": "string",
    "redirectUris": [
        "string"
    ],
    "scope": [
        "string"
    ],
    "isPublic": false,
    "isPkceEnabled": false
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"clientName":"string","redirectUris":["string"]}' https://{api_host}/cloudapi/1.0.0/openIdProvider/relyingParties